Loading...
Searching...
No Matches
OBFFParameter Class Reference

`#include <openbabel/forcefield.h>`

## Public Member Functions

OBFFParameter & | operator= (const OBFFParameter &ai)
void | clear ()

## Public Attributes

int | a
int | b
int | c
int | d
std::string | _a
std::string | _b
std::string | _c
std::string | _d
std::vector< int > | _ipar
std::vector< double > | _dpar

## Detailed Description

Internal class for OBForceField to hold forcefield parameters.

## Member Function Documentation

## operator=()

OBFFParameter & operator= | ( | const OBFFParameter & | ai | ) |

inline

Assignment.

## clear()

void clear | ( |  | ) |

inline

Reset the atom types and set all parameters to zero.

## Member Data Documentation

## a

int a

Used to store integer atom types.

Referenced by clear(), and operator=().

## b

int b

Referenced by clear(), and operator=().

## c

int c

Referenced by clear(), and operator=().

## d

int d

Referenced by clear(), and operator=().

## _a

std::string _a

used to store string atom types

Referenced by operator=().

## _b

std::string _b

Referenced by operator=().

## _c

std::string _c

Referenced by operator=().

## _d

std::string _d

Referenced by operator=().

## _ipar

std::vector<int> _ipar

Used to store integer type parameters (bondtypes, multiplicity, ...).

Referenced by clear(), and operator=().

## _dpar

std::vector<double> _dpar

Used to store double type parameters (force constants, bond lengths, angles, ...).

Referenced by clear(), and operator=().

The documentation for this class was generated from the following file:

- forcefield.h